complexType "ReportContents"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-valuation-reporting-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 11 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference?, accountReference?, category*, productType*, productId*, assetClass*, queryPortfolio?
</...>

Content Model Elements (7):

  accountReference (defined in ReportContents complexType), assetClass (defined in ReportContents complexType), category (defined in ReportContents complexType), partyReference (defined in ReportContents complexType), | productId (defined in ReportContents complexType), productType (defined in ReportContents complexType), queryPortfolio (defined in ReportContents complexType)

All Direct / Indirect Based Elements (11):

  reportContents (defined in TradeCashflowsDefinition.model group),
  reportContents (in eventActivityReport),
  reportContents (in exposureReport),
  reportContents (in partyReport),
  reportContents (in positionActivityReport),
  reportContents (in positionReport),
  reportContents (in requestPositionReport),
  reportContents (in requestValuationReport),
  reportContents (in resetReport),
  reportContents (in terminatingEventsReport),
  reportContents (in valuationReport)

Known Usage Locations

- As direct type of elements (11):
  reportContents (defined in TradeCashflowsDefinition.model group),
  reportContents (in eventActivityReport),
  reportContents (in exposureReport),
  reportContents (in partyReport),
  reportContents (in positionActivityReport),
  reportContents (in positionReport),
  reportContents (in requestPositionReport),
  reportContents (in requestValuationReport),
  reportContents (in resetReport),
  reportContents (in terminatingEventsReport),
  reportContents (in valuationReport)

Annotation
A type used to describe the scope/contents of a report.
XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="ReportContents"> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="accountReference" type="AccountReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetClass" type="AssetClass"/> <xsd:element minOccurs="0" name="queryPortfolio" type="QueryPortfolio"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
accountReference

  Type: | AccountReference, empty content

  The account for which this report was generated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accountReference" type="AccountReference"/>

assetClass

  Type: | AssetClass, simple content

  A classification of the risk class of the trade. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetClass" type="AssetClass"/>

category

  Type: | TradeCategory, simple content

  Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/>

partyReference

  Type: | PartyReference, empty content

  The party for which this report was generated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/>

productId

  Type: | ProductId, simple content

  A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/>

productType

  Type: | ProductType, simple content

  A classification of the type of product. FpML defines a simple product categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/>

queryPortfolio

  Type: | QueryPortfolio, complex content

  The desired query portfolio.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="queryPortfolio" type="QueryPortfolio"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.